import * as React from "react";
export interface CreateProposalProps {
    pApplyLenText: string | JSX.Element;
    parameterDisplayName: string | JSX.Element;
    parameterCurrentValue: string;
    parameterDisplayUnits: string;
    parameterProposalValue: string;
    proposalDeposit: string;
    transactions?: any[];
    handleClose(): void;
    handleUpdateProposalValue(name: string, value: string): void;
    postExecuteTransactions?(): any;
}
export interface CreateProposalState {
    parameterProposalValue: string;
}
export declare class CreateProposal extends React.Component<CreateProposalProps, CreateProposalState> {
    bucket: HTMLDivElement;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactPortal;
}
